Bug 120192 - Tabbed: Missing Detective icons (Tools tab)
Summary: Tabbed: Missing Detective icons (Tools tab)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Icon-Theme-Breeze Notebookbar-Tabbed Icon-Theme-Tango Icon-Theme-Colibre Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-09-29 13:02 UTC by Rizal Muttaqin
Modified: 2019-01-13 13:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Preview of missing icons (113.83 KB, application/zip)
2018-09-29 13:02 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2018-09-29 13:02:48 UTC
Created attachment 145265 [details]
Preview of missing icons

Many detective icon in Calc missing

1. Open Calc, enable expremintal features (Tools > Options >> Advanced), restart if neccessary
2. Select Tabbed interface > Click Tools tab
3. See missing icons

Other than Karasa Jaga, others icon theme (Breeze/Breeze Dark, Colibre, elementary, Sifr/Sifr Dark, Tango) missing a lot of icons.
Comment 1 raal 2018-10-06 04:34:03 UTC
confirm with Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 2 Commit Notification 2018-10-17 12:30:01 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d37ae12052dfccaa6e081d18297ca1d4cdd9e79

elementary: fix for tdf#120192, add more 32px, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 andreas_k 2018-12-18 00:37:20 UTC
colibre and elementary are fine. breeze will follow but I think I can close this bug.
Comment 4 BogdanB 2019-01-13 13:53:40 UTC
Everything ok, including Breeze.

Tested on:
Version: 6.2.1.0.0+
Build ID: d94f96c56d858cfd20bd7fac0c357ea0ecc24785
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-01-12_20:23:00
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded